{% extends 'base.html.twig' %}

{% block icon %}fa fa-tag{% endblock %}
{% block title %}Types de règles de gestion{% endblock %}
{% block breadcrumb %}
    <li>Administration</li>
    <li class="active">Types de règles de gestion</li>
{% endblock %}

{% block body %}
    <div class="container btn-separator">
        <button
            type="button"
            class="btn btn-success"
            data-modal="ajax"
            data-url="{{ url('app_rule_type_add') }}"
            data-title="Créer un type de règle de gestion"
            data-table="#{{ table.id() }}"
        >
            <i class="fa fa-plus-circle fa-space" aria-hidden="true"></i>
            Créer un type de règle de gestion
        </button>
        <button
            type="button"
            class="btn btn-success"
            data-modal="ajax"
            data-url="{{ url('app_rule_type_import1') }}"
            data-title="Importer des types de règles de gestion"
            data-table="#{{ table.id() }}"
        >
            <i class="fa fa-upload fa-space" aria-hidden="true"></i>
            Importer des types de règles de gestion
        </button>
        <a href="{{ url('app_rule_type_export', app.request.query.all) }}" download="export_rule_types.refae" target="_blank" class="btn btn-primary">
            <i class="fa fa-download fa-space" aria-hidden="true"></i>Exporter les éléments
        </a>
    </div>

    {{ generate_filters(table) }}

    {{ include(
        'table/section.html.twig',
        {
            title: "Liste des types de règles de gestion"
        }
    ) }}

    <section class="container text-right">
        <a href="{{ url('app_rule_type_csv', app.request.query.all) }}" data-link-download-csv="%s_rule_type.csv" target="_blank" class="btn btn-primary">
            <i class="fa fa-download fa-space" aria-hidden="true"></i>Télécharger au format CSV
        </a>
    </section>
{% endblock %}
